Bug 26708 - Fisher: GUI install fails on a SMI Lynx card
Fisher: GUI install fails on a SMI Lynx card
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2001-02-08 13:41 EST by Gerald Teschl
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-19 19:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-02-08 13:41:28 EST
The GUI install mode will fail on a SMI 910 Lynx card. However,
if I pass the vga=0x314 (which corresponds to
800x600 @ 16bpp) option at the boot promt everything works fine.
I also tested vga=0x317 which worked fine.
Comment 1 Michael Fulbright 2001-02-08 15:42:37 EST
Does the 'nofb' option work?
Comment 2 Glen Foster 2001-02-08 18:43:37 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Brent Fox 2001-02-09 00:39:20 EST
Yes, the vga mode was being incorrectly set to vga=787, which is 15 bit color.
We've changed it now to vga=788, which is the same at vga=0x314.
Comment 4 Gerald Teschl 2001-02-09 07:00:21 EST
No the "nofb" does not work either. It says that a "svga" card was found and
that it will
use the fb device (which fails).

I looks like anaconda does not setup the card correctly. This might be related
to #22847.
Comment 5 Glen Foster 2001-02-09 18:19:14 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 6 Brent Fox 2001-02-09 19:39:59 EST
The debug messages are misleading.  The message that you are seeing means that
the installer has found the framebuffer...not that it is using it.  We have
seriously reworked this code in the past few days and I'm confident that your
card will work correctly now.  Brock, please verify if we have one of these
cards in the test lab.

Note You need to log in before you can comment on or make changes to this bug.